Subject: Re: firefox15 in pkgsrc-wip
To: Geert Hendrickx <>
From: Juan RP <>
List: tech-pkg
Date: 12/02/2005 12:40:32
On Fri, 2 Dec 2005 12:10:20 +0100
Geert Hendrickx <> wrote:

> Hello all, 
> I committed a firefox15 package to pkgsrc-wip.  Please note that this
> package does not fit in the existing www/mozilla framework, so please
> leave it in pkgsrc-wip for now.  I have only tested this on
> NetBSD/i386, chances are that it doesn't work on other platforms.  I
> have patches for DragonFly support though (from Jeroen Ruigrok), I'll
> merge those into my package and commit that later today or this
> weekend, hopefully.  
> As you can see there are gtk1, gtk2, qt3 an xlib options, to build
> Firefox based on one of those toolkits.  These are not separate
> packages and hence cannot be installed concurrently, but I'll try to
> change that later. Please be aware that the qt3 and xlib based
> packages are *experimental* and only the gtk1 and gtk2 packages are
> supported.  
> The option official-mozilla-branding is not enabled by default, such
> that bulk builds / binary packages are built without it, because I'm
> not sure we're allowed to distribute packages with official branding
> by Mozilla (I e-mailed them but am still awaiting reply).  But for
> your own use you can perfectly enable this option to enjoy "Firefox"
> instead of "Deer Park".  

And I've just updated firefox-bin to 1.5 and I'm running it without any
problems on NetBSD -current (there is a warning about the chrome theme
before starting it but it's not very important though).

Maybe someone wants to update it? :-)